import { Component } from '@angular/core';
import { EmployeeResponseDTO } from '../models/mitarbeiter';
import { EmployeeService } from '../service/employee.service';
import { ActivatedRoute, Router } from '@angular/router';

@Component({
  selector: 'app-mitarbeiter-erstellen',
  standalone: true,
  imports: [],
  templateUrl: './mitarbeiter-erstellen.component.html',
  styleUrl: './mitarbeiter-erstellen.component.css'
})
export class MitarbeiterErstellenComponent {
  public mitarbeiter!: EmployeeResponseDTO;

  constructor(private employeeService: EmployeeService, private route: ActivatedRoute, private router: Router) { }

  submitted(mitarbeiter: EmployeeResponseDTO) {
    this.employeeService.updateEmployee(mitarbeiter);
    this.returnToEmployeeOverview();
  }

  returnToEmployeeOverview() {
    this.router.navigate(["mitarbeiter"]);
  }

  ngOnInit(): void {
    this.mitarbeiter = {
      id: 0,
      firstName: '',
      lastName: '',
      street: '',
      phone: '',
      skillSet: [],
      postcode: '',
      city: '',
    }
    this.employeeService.getEmployeeById(this.route.snapshot.params['id']).subscribe(employee => {
      this.mitarbeiter = employee;
    });
  }
}
